



-- auctionmaster support

local AuctionMaster = vendor			-- the actual "AuctionMaster" global table is called "vendor"

do
	local function AuctionPrice(itemID)
		if not itemID then
			return nil
		end

		local _,link = GetItemInfo(itemID)
		if not link then
			return nil
		end

		local _, sellPrice = AuctionMaster.Statistic:GetAuctionInfo(link, false)

		return sellPrice
	end


	local function Init()
--		LSW:ChatMessage("LilSparky's Workshop adding AuctionMaster support")

		AuctionLib:RegisterAlgorithm("AuctionMaster", AuctionPrice)
	end


	local function Test(index)
		if IsAddOnLoaded("AuctionMaster") then
			return true
		end

		return false
	end

	LSW:RegisterPricingSupport("AuctionMaster", Test, Init)
end
